<?php
	$IC=vbval(V($_GET['IC']));
	if($IC==0){
		$IC=vbval(V($_POST['TxtIC']));	
	}
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	$StrDir=V($_POST['TxtDir']);		
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("suc_nom","clientes_suc","id_suc=$Id");		
		$StrDir=gs("suc_dir","clientes_suc","id_suc=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){		
		if(strlen($StrGT)==0){
			$Id=GenId("id_suc","clientes_suc");
			$s="INSERT INTO clientes_suc VALUES ($Id,$IC,'$StrNom','$StrDir')";
			ejt($s);
			//
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrDir="";
		}
	}
	if($StrCmd=="M"){
		if(strlen($StrGT)==0){
			$s="UPDATE clientes_suc SET suc_nom='$StrNom',
				suc_dir='$StrDir' WHERE id_suc=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrDir="";
		}
	}
	if($StrCmd=="E"){
		$s="DELETE FROM clientes_suc WHERE id_suc=$StrId";	
		ejt($s);
		if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$StrId="";
		$StrNom="";
		$StrDir="";		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>